be.fgov.ehealth.certra.protocol.v2

## Class GetActorQualitiesResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.certra.protocol.v2.GetActorQualitiesResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:40:04+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetActorQualitiesResponse
      extends StatusResponseType
      implements Serializable

  The response of the getActorQualities operation: It will contain whether or not they are authorized to request eHealth certificates for their own natural person or the organizations for which they can manage eHealth certificates.

  Java class for GetActorQualitiesResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetActorQualitiesResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="NaturalPersonAuthorization" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="OrganizationAuthorization" type="{urn:be:fgov:ehealth:certra:core:v2}OrganizationType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetActorQualitiesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<OrganizationType>` | `getOrganizationAuthorizations()` Gets the value of the organizationAuthorizations property.
    `Boolean` | `isNaturalPersonAuthorization()` Gets the value of the naturalPersonAuthorization property.
    `void` | `setNaturalPersonAuthorization(Boolean value)` Sets the value of the naturalPersonAuthorization property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetActorQualitiesResponse

          public GetActorQualitiesResponse()

  - ### Method Detail

    - #### isNaturalPersonAuthorization

          public Boolean isNaturalPersonAuthorization()

      Gets the value of the naturalPersonAuthorization property.
      Returns:
        possible object is `Boolean`

    - #### setNaturalPersonAuthorization

          public void setNaturalPersonAuthorization(Boolean value)

      Sets the value of the naturalPersonAuthorization property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getOrganizationAuthorizations

          public List<OrganizationType> getOrganizationAuthorizations()

      Gets the value of the organizationAuthorizations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationAuthorizations property.

      For example, to add a new item, do as follows:

              getOrganizationAuthorizations().add(newItem);

      Objects of the following type(s) are allowed in the list `OrganizationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.